<!DOCTYPE html>
<html lang="en">
<head>
  <title>{{ config('app.app_name') }} | @yield('title')</title>
  <meta name="description" content="@yield('metdescp')">

  @include('partials.hscript')

  @yield('customCss')

</head>

<body id="body">
    <div id="pagesubmitloader" style="display:none;">
        <img src="{{ asset('admintheme/assets/img/ball-triangle.svg')}}" alt="processing..." />
    </div>
    @if (!View::hasSection('hide-loader') && !request()->routeIs('*.index'))
        <div class="loader"></div>
    @endif
    <div id="app">
        <div class="main-wrapper main-wrapper-1">
        @include('partials.header')

        @include('partials.sidebar')
        <!-- Main Content -->
        <div class="main-content">

            @yield('main-content')

        </div>
        @include('partials.footer')
        </div>
    </div>
    @include('partials.fscript')

</body>  
@yield('customJS')
<script>
    function showLoader() {
        if ($('.loader').length === 0) {
            $('body').prepend('<div class="loader"></div>');
        }
        $('.loader').fadeIn(100); 
    }
    
    function hideLoader() {
        $('.loader').fadeOut(200); 
    }
</script>
</html>


